<template>
  <section>
    <div>
      <address-vue
        v-for="(address, index) in addresses"
        :key="address.id"
        :address="address"
        :index="index"
      />
    </div>
  </section>
</template>

<script>
import { AddressService } from "../services/address";
import AddressVue from "../components/Address.vue";

export default {
  components: {
    AddressVue
  },
  data() {
    return {
      addresses: [
        { id: 1, street: "Example 1", number: "1", city: "Lyon" },
        { id: 2, street: "Example 2", number: "2", city: "Lyon" },
        { id: 3, street: "Example 3", number: "3", city: "Lyon" }
      ]
    };
  },
  mounted() {
    const service = new AddressService();
    service
      .findAll()
      .then(data => (this.addresses = data))
      .catch(() => this.$router.push("/"));
  }
};
</script>

<style>
</style>
